# SourcePath: json-perl/20150203dev
Summary: JSON encoder/decoder module for perl
Name: sony-target-dev-json-perl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-json-perl
Version: 2.90
Release: 11000001
Source: JSON-%{version}.tar.gz
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}



%description
JSON (JavaScript Object Notation) encoder/decoder

%package -n %{pkgname}
Summary: JSON encoder/decoder module for perl
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
JSON (JavaScript Object Notation) encoder/decoder

%prep
%setup -n JSON-%{version} -q

%build
%sony_target_dev_setup
perl Makefile.PL 

make CC="${CC}" AR="${AR}" LD="${LD}"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install DESTDIR=%{buildroot}  \
  INSTALLMAN3DIR=%{sony_target_dir}%{sony_target_dev_man_dir}/man3 \
  INSTALLSITEMAN3DIR=%{sony_target_dir}%{sony_target_dev_man_dir}/man3 \
  INSTALLSITELIB=%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/5.14.2 \
  INSTALLPRIVLIB=%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/5.14.2 \
  INSTALLARCHLIB=%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/5.14.2 \
  INSTALLSITEARCH=%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/5.14.2 

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/auto/JSON/.packlist
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/perllocal.pod


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/JSON.pm
%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/JSON/backportPP.pm
%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/JSON/backportPP/Boolean.pm
%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/JSON/backportPP/Compat5005.pm
%{sony_target_dir}%{sony_target_dev_lib_dir}/perl/*/JSON/backportPP/Compat5006.pm


%changelog
* Tue Feb 02 2015 Sony Corporation
- Initial build.
